Subject: Re: bug#32823: 26.1; nxml-mode: "no matching start-tag" with long entity definition list

From: Vincent Lefevre <[email-masked]>
Date: Fri, 31 May 2019 00:08:59 +0200

On 2019-05-29 19:40:40 -0400, Noam Postavsky wrote:
> Moritz Bunkus <[email-masked]> writes:
> 
> >> Ah, you're right, it's not like #18871.  But I think it's the same as
> >> one of the edge cases Vincent brought up during Bug#33887, and the
> >> second patch in https://debbugs.gnu.org/33887#73 should fix it:
> >
> > That patch does indeed fix the issue for me. Thanks a lot!
> 
> Updated patch for another edge case (https://debbugs.gnu.org/33887#127).

Thanks. It seems that all problems are solved!

On 2019-05-30 15:22:09 +0200, Moritz Bunkus wrote:
> Hey,
> 
> unfortunately I cannot test your patch. I tried building Emacs git master
> with your patch applied, but compilation failed with "Symbol’s function
> definition is void: gv-define-simple-setter"; next I tried to build tag
> emacs-26.2, but your patch doesn't apply against that version.
> 
> I can therefore neither confirm nor deny that the patch works for
> me. Please give my usual file a try yourself:
> 
> https://gitlab.com/mbunkus/mkvtoolnix/blob/master/doc/man/mkvmerge.xml
> 
> Just try to close any open tag (C-c C-f); that never worked for me, and
> syntax highlighting was thoroughly confused, too.

Everything seems fine with all the patches against Debian's version.
But note that this is not a valid XML file.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)